# Class ScanResult

java.lang.Object
com.codename1.bluetooth.le.ScanResult

public class ScanResult extends Object

One advertisement sighting delivered to a `ScanListener` during a scan. Carries the `BlePeripheral` handle used to connect, the signal strength and the parsed advertisement payload.

Instances are constructed by ports; application code never creates them.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScanResult(BlePeripheral peripheral, int rssi, AdvertisementData advertisementData, boolean connectable, long timestamp)`
  Constructed by ports when a scan sighting arrives; not application API.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdvertisementData`
  `getAdvertisementData()`
  The parsed advertisement payload; never `null`.
  `BlePeripheral`
  `getPeripheral()`
  The discovered peripheral; call `BlePeripheral.connect()` on it to establish a connection.
  `int`
  `getRssi()`
  The received signal strength of this sighting in dBm.
  `long`
  `getTimestamp()`
  The sighting time -- `System.currentTimeMillis()` terms on device ports; the simulator's virtual stack uses a monotonic counter, so treat the value as ordered rather than as a wall-clock time.
  `boolean`
  `isConnectable()`
  `true` when the advertisement indicates the peripheral accepts connections.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScanResult

    public ScanResult(BlePeripheral peripheral, int rssi, AdvertisementData advertisementData, boolean connectable, long timestamp)
    Constructed by ports when a scan sighting arrives; not application API.

- ## Method Details

  - ### getPeripheral

    public BlePeripheral getPeripheral()
    The discovered peripheral; call `BlePeripheral.connect()` on it to establish a connection.

  - ### getRssi

    public int getRssi()
    The received signal strength of this sighting in dBm.

  - ### getAdvertisementData

    public AdvertisementData getAdvertisementData()
    The parsed advertisement payload; never `null`.

  - ### isConnectable

    public boolean isConnectable()
    `true` when the advertisement indicates the peripheral accepts connections.

  - ### getTimestamp

    public long getTimestamp()
    The sighting time -- `System.currentTimeMillis()` terms on device ports; the simulator's virtual stack uses a monotonic counter, so treat the value as ordered rather than as a wall-clock time.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`